/*global $,owl,smoothScroll,AOS,alert*/
$(document).ready(function () {
    "use strict";
    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('#loading').fadeOut(1000);
    });

    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });


    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });

    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 100) {
            $('.main-head').addClass('sticky');
        } else {
            $('.main-head').removeClass('sticky');
        }
    });

    $('[data-fancybox]').fancybox();

    $('.open-menu').click(function () {
        $('.org').slideToggle();
    });

    $('.org,.open-menu').click(function (e) {
        e.stopPropagation();
    });

    var windowWidth = $(window).width();
    if (windowWidth <= 1024) {
        $('body').click(function () {
            $('.org').slideUp();
        });
    }

    // for upload file
    $(document).on('change', ':file', function () {
        var input = $(this),
            numFiles = input.get(0).files ? input.get(0).files.length : 1,
            label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
        input.trigger('fileselect', [numFiles, label]);
    });
    $(':file').on('fileselect', function (event, numFiles, label) {

        var input = $(this).parents('.input-group').find(':text'),
            log = numFiles > 1 ? numFiles + ' files selected' : label;

        if (input.length) {
            input.val(log);
        } else {
            if (log) alert(log);
        }
    });

    $('.open-menu').click(function () {
        $('.mob-menu').addClass('active');
    });

    $('.cl-menu,.mob-menu a').click(function () {
        $('.mob-menu').removeClass('active');
    });

    AOS.init({
        once: true
    });

    $('.about-layout .h-slider').owlCarousel({
        transitionStyle: "fade",
        singleItem: true,
        items: 1,
        slideSpeed: 1000,
        navigation: false,
        pagination: false,
        autoPlay: false,
        mouseDrag: false
    });

    // For Customer Slider
    var sync1 = $("#big-one");
    var sync2 = $("#small-one");

    sync1.owlCarousel({
        transitionStyle: "fade",
        singleItem: true,
        items: 1,
        slideSpeed: 1000,
        navigation: false,
        pagination: false,
        autoPlay: 5000,
        mouseDrag: false,
        afterAction: syncPosition,
        responsiveRefreshRate: 200
    });

    sync2.owlCarousel({
        items: 4,
        itemsCustom: [
			[0, 1],
			[450, 2],
			[600, 2],
			[700, 3],
			[1000, 2],
			[1200, 4],
			[1400, 4],
			[1600, 4],
            [1800, 4]
        ],
        pagination: false,
        navigation: false,
        responsiveRefreshRate: 100
    });

    function syncPosition(el) {
        var current = this.currentItem;
        $("#small-one")
            .find(".owl-item")
            .removeClass("synced")
            .eq(current)
            .addClass("synced")
        if ($("#small-one").data("owlCarousel") !== undefined) {
            center(current)
        }

        var current1 = this.currentItem;
        $("#big-one")
            .find(".owl-item")
            .removeClass("active")
            .eq(current1)
            .addClass("active");
    }

    $("#small-one").on("click", ".owl-item", function (e) {
        e.preventDefault();
        var number = $(this).data("owlItem");
        sync1.trigger("owl.goTo", number);
    });

    function center(number) {
        var sync2visible = sync2.data("owlCarousel").owl.visibleItems;
        var num = number;
        var found = false;
        for (var i in sync2visible) {
            if (num === sync2visible[i]) {
                var found = true;
            }
        }

        if (found === false) {
            if (num > sync2visible[sync2visible.length - 1]) {
                sync2.trigger("owl.goTo", num - sync2visible.length + 2)
            } else {
                if (num - 1 === -1) {
                    num = 0;
                }
                sync2.trigger("owl.goTo", num);
            }
        } else if (num === sync2visible[sync2visible.length - 1]) {
            sync2.trigger("owl.goTo", sync2visible[1])
        } else if (num === sync2visible[0]) {
            sync2.trigger("owl.goTo", num - 1)
        }

    }


    $('html').clickBubble({
        color: '#c5a869',
        size: 40,
        time: 1000,
        borderWidth: 1
    });

    $('.js-tilt').tilt({
        maxTilt: 20,
        perspective: 1000, // Transform perspective, the lower the more extreme the tilt gets.
        easing: "cubic-bezier(.03,.98,.52,.99)", // Easing on enter/exit.
        //        speed: 300, // Speed of the enter/exit transition.
        transition: true, // Set a transition on enter/exit.
        disableAxis: null, // What axis should be disabled. Can be X or Y.
        glare: true,
        maxGlare: .2
    });

    // for upload file
    $(document).on('change', ':file', function () {
        var input = $(this),
            numFiles = input.get(0).files ? input.get(0).files.length : 1,
            label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
        input.trigger('fileselect', [numFiles, label]);
    });
    $(':file').on('fileselect', function (event, numFiles, label) {

        var input = $(this).parents('.input-group').find(':text'),
            log = numFiles > 1 ? numFiles + ' files selected' : label;

        if (input.length) {
            input.val(log);
        } else {
            if (log) alert(log);
        }
    });

    $('.gallery-box').mixItUp();

    $('.gallery-filters li').on("click", function () {
        $(this).addClass('active').siblings().removeClass('active');
    });

    $('#mastercard').change(function () {
        if (this.checked) {
            $('#master-area').slideDown();
            $('#visa-area').slideUp();
            $('#k-net').slideUp();
        }
    });

    $('#visa').change(function () {
        if (this.checked) {
            $('#master-area').slideUp();
            $('#visa-area').slideDown();
            $('#k-net').slideUp();
        }
    });

    $('#knet').change(function () {
        if (this.checked) {
            $('#master-area').slideUp();
            $('#visa-area').slideUp();
            $('#k-net').slideDown();
        }
    });

    $("html").niceScroll({
        cursorcolor: "#c5a869",
        cursorborder: "0",
        zindex: "99",
        cursorborderradius: '0',
        scrollspeed: 150,
        autohidemode: false
    });
    
    var windowWidth = $(window).width();
    if (windowWidth <= 1024) {
        $("html").getNiceScroll().remove();
    }

});

